<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

$sMetadataVersion = '2.1';

$sModuleId = 'd3xrechnung4oxid';
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => $sModuleId,
    'title'       => $logo.' Anpassung: xRechnung / Zugferd',
    'description' => [
        'de' => '<hr>
        Ruft den Generator auf, und gibt die erstellte XML-Datei an den Browser zum Download aus.<br>
Der Pfad und Zugangsschutz zum Generator wird in der Konfiguration des Moduls hinterlegt.
<hr>        
        <strong>Validierung:</strong><a href="https://www.epoconsulting.com/erechnung-sap/xrechnung-validator" target="_blank">https://www.epoconsulting.com/erechnung-sap/xrechnung-validator</a><br>
        ',
        'en' => '',
    ],
    'thumbnail'   => 'picture.png',
    'version'     => '1.0.0',
    'author'      => $logo.' Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'extend'      => [
        \OxidEsales\Eshop\Application\Controller\Admin\OrderOverview::class => D3\XRechnungForOxid\Modules\Application\Controller\Admin\OrderOverview::class,
        \OxidEsales\Eshop\Application\Model\Order::class                    => D3\XRechnungForOxid\Modules\Application\Model\Order::class
    ],
    'templates'   => [
    ],
    'settings'    => [
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_PATH_GENERATOR',
            'type'  => 'str',
            'value' => 'https://xrechnung.DOMAIN.TLD/xrechnung.php'
        ],
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_SHOPCONNECTTOKEN',
            'type'  => 'str',
            'value' => ''
        ],
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_HTACCESS_USER',
            'type'  => 'str',
            'value' => ''
        ],
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_HTACCESS_PASSWORD',
            'type'  => 'str',
            'value' => ''
        ],
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_EXPORT_FOLDER',
            'type'  => 'str',
            'value' => 'export/xml'
        ],
        [
            'group' => 'd3xrechnung',
            'name'  => 'd3xrechnung_BT_ORDERFIELDS',
            'type'  => 'aarr',
            'value' => ''
        ],
    ],
    'blocks'      => array(
        array(
            'template' => 'order_overview.tpl',
            'block'    => 'admin_order_overview_export',
            'file'     => 'Application/views/admin/blocks/order_overview.tpl',
            'position' => 100
        ),
    ),
];
